Issue #5096 has been updated by knu (Akinori MUSHA).

Assignee changed from drbrain (Eric Hodel) to knu (Akinori MUSHA)

I'll look into this shortly.

I think I'm going to put this under ext/syslog/lib/syslog/ so the whole syslog library can be made a gem in the future.
----------------------------------------
Feature #5096: offer Logger-compatibility for syslog ext
https://bugs.ruby-lang.org/issues/5096#change-26650

Author: normalperson (Eric Wong)
Status: Assigned
Priority: Low
Assignee: knu (Akinori MUSHA)
Category: 
Target version: 


There's http://rubygems.org/gems/SyslogLogger, but I would like to have
ths compatibility by default.  Having to remember to install the
oddly-capitalized SyslogLogger gem makes things harder than it should
be.

Importing the SyslogLogger gem would solve this issue.


-- 
http://bugs.ruby-lang.org/